Update theme settings
Updates the settings object for a theme. Requires admin scope.
PUT
/themes/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:
adminPath parameters
idstringrequiredTheme ID
Request body
requiredapplication/jsonsettingsobjectTheme settings key/value pairs (theme-specific)
Responses
200Theme updated
idstringtitlestringproductionbooleansettingsobjectupdated_onstring<date-time>_linksobject_embeddedobjectShow propertiesHide properties
templatesTemplate[]Show propertiesHide properties
Array of
Templateidstringfile_namestringnamestringcontent_typestringAllowed:
htmlcssjsbodystringupdated_onstring<date-time>_linksobjectassetsThemeAsset[]Show propertiesHide properties
Array of
ThemeAssetidstringfile_namestringcontent_typestringfile_sizeintegerdigeststringupdated_onstring<date-time>_linksobjectShow propertiesHide properties
fileHalLinkShow propertiesHide properties
hrefstringmethodstringtitlestringtypestringtemplatedbooleanRequest
curl -X PUT "https://api.onbolder.com/v1/themes/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"settings": {}
}'const response = await fetch("https://api.onbolder.com/v1/themes/string", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"settings": {}
})
});import requests
response = requests.put(
"https://api.onbolder.com/v1/themes/string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"settings": {}
},
)Response
{
"id": "string",
"title": "string",
"production": true,
"settings": {},
"updated_on": "2019-08-24T14:15:22Z",
"_links": {},
"_embedded": {
"templates": [
{
"id": "string",
"file_name": "string",
"name": "string",
"content_type": "html",
"body": "string",
"updated_on": "2019-08-24T14:15:22Z",
"_links": {}
}
],
"assets": [
{
"id": "string",
"file_name": "string",
"content_type": "string",
"file_size": 0,
"digest": "string",
"updated_on": "2019-08-24T14:15:22Z",
"_links": {
"file": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
}
}
}
]
}
}